Bug 1040732 - [GSS] (6.3.0) JAXBDataBinding can not handle the exception with generic objects like ObjectWithGenerics<Boolean, Integer>
Summary: [GSS] (6.3.0) JAXBDataBinding can not handle the exception with generic objec...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER8
: EAP 6.3.0
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1040703 1040731
TreeView+ depends on / blocked
 
Reported: 2013-12-12 02:07 UTC by Kyle Lape
Modified: 2018-12-06 15:34 UTC (History)
4 users (show)

(edit)
Previous releases of JBoss EAP 6 carried an issue that presented when an `Exception` class contained some members with type parameters defined as shown the following example.

The WSDL generated from the exception class was incorrect and the SOAP fault message was not expected.

----
@javax.xml.ws.WebFault
public class GenericsException extends Exception {
    private static final long serialVersionUID = 1L;
    private ObjectWithGenerics<Boolean, Integer> obj;

    public ObjectWithGenerics<Boolean, Integer> getObj() {
        return obj;
    }
    public void setObj(ObjectWithGenerics<Boolean, Integer> obj) {
        this.obj = obj;
    }
}
----

This issue was resolved upstream and the fix incorporated into this release of the product.
Clone Of: 1040703
(edit)
Last Closed: 2014-08-06 14:38:32 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA CXF-5437 None None None Never

Description Kyle Lape 2013-12-12 02:07:43 UTC
When the Exception has some generics object like:

@javax.xml.ws.WebFault
public class GenericsException extends Exception {
    private static final long serialVersionUID = 1L;
    private ObjectWithGenerics<Boolean, Integer> obj;

    public ObjectWithGenerics<Boolean, Integer> getObj() {
        return obj;
    }
    public void setObj(ObjectWithGenerics<Boolean, Integer> obj) {
        this.obj = obj;
    }
}

Both the wsdl generated from the exception class is wrong and soap fault message is not expected.

Comment 1 Petr Sakař 2014-03-05 08:37:29 UTC
see https://bugzilla.redhat.com/show_bug.cgi?id=1040703 for verifier

Comment 2 Petr Sakař 2014-04-08 09:42:37 UTC
Verification failed for EAP 6.3.0.ER1.

See BZ1040703 comment#9 ( https://bugzilla.redhat.com/show_bug.cgi?id=1040703#c9 )

Comment 3 Russell Dickenson 2014-05-13 05:28:42 UTC
Attention: Kyle

As this is a clone of BZ1040703 I need confirmation of the draft Release Notes text, which is the same as that in BZ1040703.

Comment 4 Kyle Lape 2014-06-05 23:29:21 UTC
This should be fixed in 6.3.0 since the upstream bug was fixed in CXF 2.7.9.

Also revised doc text.

Comment 6 Rostislav Svoboda 2014-07-01 07:42:21 UTC
Moving to ON_QA, probably lost in BZ hell.

Comment 7 Jan Blizňák 2014-07-01 08:51:45 UTC
Verified on 6.3.0.ER8, used verifier from BZ-1040703.


Note You need to log in before you can comment on or make changes to this bug.